Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Java 8 BIRT Issues(Having issues generating BIRT PDF reports after updating to JDK 8)
Java 8 BIRT Issues [message #1794374] Wed, 29 August 2018 16:52 Go to next message
Rizz Azm is currently offline Rizz AzmFriend
Messages: 4
Registered: August 2018
Junior Member
Hi,

We have a spring based Web application which uses BIRT to generate PDF reports. This is working fine with JDK 7. We are in the process of upgrading to JDK 8 and running into below issues. Any help is highly appreciated. Thanks

We have xercesimpl 2.8.1 as maven dependency. I updated it to 2.11.0 based on other post, but i still see the xerces error.

org.eclipse.birt.report.engine.api.impl.RunAndRenderTask.doRun An error happened while running the report. Cause:
java.lang.ClassCastException: org.apache.xerces.parsers.XIncludeAwareParserConfiguration cannot be cast to org.apache.xerces.xni.parser.XMLParserConfiguration
at org.apache.xerces.parsers.DOMParser.<init>(Unknown Source)


I do also see the following error in the logs:

SEVERE [http-nio-8080-exec-6] org.eclipse.birt.data.engine.odaconsumer.PreparedStatement.execute Cannot execute statement.
org.eclipse.datatools.connectivity.oda.OdaException: no protocol:
at org.eclipse.datatools.enablement.oda.ws.util.RawMessageSender.getSOAPResponse(RawMessageSender.java:107)

The BIRT dependencies in maven:
<dependency>
<groupId>birt-runtime</groupId>
<artifactId>birt-runtime</artifactId>
<version>1.0.0</version>
<type>war</type>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>chartengineapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>com.ibm.icu_3.8.1.v20080530</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>commons-cli-1.0</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>coreapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>crosstabcoreapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>dataadapterapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>dataaggregationapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>dteapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>engineapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>flute</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>js</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>modelapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>modelodaapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>odadesignapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.apache.commons.codec_1.3.0.v20080530-1600</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.birt.report.engine.dataextraction_2.3.0.v20080611</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.emf.common_2.4.0.v200808251517</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.emf.ecore.xmi_2.4.1.v200808251517</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.emf.ecore_2.4.1.v200808251517</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.w3c.css.sac_1.3.0.v200805290154</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>scriptapi</artifactId>
</dependency>
Re: Java 8 BIRT Issues [message #1794455 is a reply to message #1794374] Thu, 30 August 2018 18:53 Go to previous messageGo to next message
Rizz Azm is currently offline Rizz AzmFriend
Messages: 4
Registered: August 2018
Junior Member
Update: I removed org.apache.xerces_2.9.0.v200805270400 from birt war. An empty pdf opens this time and i see ODA errors in the logs.
SEVERE [http-nio-8080-exec-9] org.eclipse.birt.data.engine.odaconsumer.Driver.doGetDriverManifest Cannot process data source extension configuration.
java.lang.IllegalArgumentException: org.eclipse.datatools.enablement.oda.ws
at org.eclipse.datatools.connectivity.oda.util.manifest.ManifestExplorer.getExtensionManifest(ManifestExplorer.java:200)

Did anybody run into this?
Re: Java 8 BIRT Issues [message #1794456 is a reply to message #1794374] Thu, 30 August 2018 18:56 Go to previous messageGo to next message
Rizz Azm is currently offline Rizz AzmFriend
Messages: 4
Registered: August 2018
Junior Member
Rizz Azm wrote on Wed, 29 August 2018 16:52
Hi,

We have a spring based Web application which uses BIRT to generate PDF reports. This is working fine with JDK 7. We are in the process of upgrading to JDK 8 and running into below issues.

We have xercesimpl 2.8.1 as maven dependency. I updated it to 2.11.0 based on other post, but i still see the xerces error.

org.eclipse.birt.report.engine.api.impl.RunAndRenderTask.doRun An error happened while running the report. Cause:
java.lang.ClassCastException: org.apache.xerces.parsers.XIncludeAwareParserConfiguration cannot be cast to org.apache.xerces.xni.parser.XMLParserConfiguration
at org.apache.xerces.parsers.DOMParser.<init>(Unknown Source)

**UPDATE**:
Update: I removed org.apache.xerces_2.9.0.v200805270400 from birt war. An empty pdf opens this time and i see ODA errors in the logs.
SEVERE [http-nio-8080-exec-9] org.eclipse.birt.data.engine.odaconsumer.Driver.doGetDriverManifest Cannot process data source extension configuration.
java.lang.IllegalArgumentException: org.eclipse.datatools.enablement.oda.ws
at org.eclipse.datatools.connectivity.oda.util.manifest.ManifestExplorer.getExtensionManifest(ManifestExplorer.java:200)

Did anybody run into this?


The BIRT dependencies in maven:
<dependency>
<groupId>birt-runtime</groupId>
<artifactId>birt-runtime</artifactId>
<version>1.0.0</version>
<type>war</type>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>chartengineapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>com.ibm.icu_3.8.1.v20080530</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>commons-cli-1.0</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>coreapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>crosstabcoreapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>dataadapterapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>dataaggregationapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>dteapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>engineapi</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>flute</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>js</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>modelapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>modelodaapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<artifactId>odadesignapi</artifactId>
<version>2.3.1</version>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.apache.commons.codec_1.3.0.v20080530-1600</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.birt.report.engine.dataextraction_2.3.0.v20080611</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.emf.common_2.4.0.v200808251517</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.emf.ecore.xmi_2.4.1.v200808251517</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.eclipse.emf.ecore_2.4.1.v200808251517</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>org.w3c.css.sac_1.3.0.v200805290154</artifactId>
</dependency>
<dependency>
<groupId>birt</groupId>
<version>2.3.1</version>
<artifactId>scriptapi</artifactId>
</dependency>
Re: Java 8 BIRT Issues [message #1794457 is a reply to message #1794455] Thu, 30 August 2018 20:20 Go to previous messageGo to next message
Rizz Azm is currently offline Rizz AzmFriend
Messages: 4
Registered: August 2018
Junior Member
I removed the conflicting xerces dependency from the app and added the birt xercels dependency back to the war. That seems to have fixed it. Thanks
Re: Java 8 BIRT Issues [message #1794843 is a reply to message #1794457] Fri, 07 September 2018 14:42 Go to previous messageGo to next message
Siddhartha Rudra is currently offline Siddhartha RudraFriend
Messages: 2
Registered: September 2018
Junior Member
Hello . We are using BIRT report Engine 2.3 API in our application . We are also upgrading java to 1.8 and facing same problem with pdf format. When I dig deeper I see XERCES related problem ( the classcastexception when trying to read fontconfig.xml ) . We have org.apache.xerces_2.9.0.v200805270400.jar in our BIRT plugins directory. Did you remove this dependency and everything started working ?
Re: Java 8 BIRT Issues [message #1794848 is a reply to message #1794457] Fri, 07 September 2018 15:57 Go to previous message
Siddhartha Rudra is currently offline Siddhartha RudraFriend
Messages: 2
Registered: September 2018
Junior Member
I am facing the same issue. Could you please what exactly you did to resolve the problem ?
Previous Topic:Tomcat Shutdown & TimerThread leak?
Next Topic:Birt 4.5.0 in maven repository
Goto Forum:
  


Current Time: Tue Nov 20 14:06:08 GMT 2018

Powered by FUDForum. Page generated in 0.02540 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top